> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Order Change

> Execute a selected change offer



## OpenAPI

````yaml openapi/zh/duffel-flights.json POST /apis/v1/duffel/flights/order-changes/create
openapi: 3.1.0
info:
  description: ''
  title: Duffel Flights
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/duffel/flights/offer-requests/create
    - /apis/v1/duffel/flights/offer-requests/list
    - /apis/v1/duffel/flights/offer-requests/{id}
    - /apis/v1/duffel/flights/offers/list
    - /apis/v1/duffel/flights/offers/{id}
    - /apis/v1/duffel/flights/order-cancellations/create
    - /apis/v1/duffel/flights/order-cancellations/{id}
    - /apis/v1/duffel/flights/order-cancellations/{id}/confirm
    - /apis/v1/duffel/flights/order-change-requests/create
    - /apis/v1/duffel/flights/order-change-requests/{id}
    - /apis/v1/duffel/flights/order-changes/create
    - /apis/v1/duffel/flights/orders/create
    - /apis/v1/duffel/flights/orders/hold-create
    - /apis/v1/duffel/flights/seat-maps
  x-aisa-document:
    facts_hash: f5da5a328e1cec5e66cbcd1109d12fa71687c2c4e8bd1da8db603ed7bccd6637
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending:
      - operation_id: post_duffel_offer_requests_create
        path: /apis/v1/duffel/flights/offer-requests/create
        method: POST
        statuses:
          - '200'
        reason: public success response has no authoritative payload declaration
      - operation_id: get_duffel_offer_request
        path: /apis/v1/duffel/flights/offer-requests/{id}
        method: GET
        statuses:
          - '200'
        reason: public success response has no authoritative payload declaration
    document_hash: sha256:bede2cc04d9a6a5b3f07d39c9a84e32a4c2c99be12c3c7e14b9df2ff3c3a3d8a
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: duffel-flights
  x-aisa-catalogs:
    duffel-flights:
      title: Duffel Flights
      description: ''
      x-aisa-document:
        facts_hash: f5da5a328e1cec5e66cbcd1109d12fa71687c2c4e8bd1da8db603ed7bccd6637
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/duffel/flights/order-changes/create:
    post:
      tags:
        - duffel
      summary: Confirm Order Change
      description: Execute a selected change offer
      operationId: post_duffel_order_changes_create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - data
              properties:
                data:
                  properties:
                    selected_order_change_offer:
                      description: Duffel's unique identifier for the order change offer
                      example: oco_0000A4QasEUIjJ6jHKfhHU
                      type: string
                  required:
                    - selected_order_change_offer
                  type: object
                  title: Body parameters
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
          description: Change executed
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
        2XX:
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    description: >-
                      An order change represents alterations to an existing
                      order with an airline
                    properties:
                      change_total_amount:
                        description: >
                          The amount that will be charged or refunded,
                          determined according to the

                          fare conditions. A negative value will reflect a
                          refund.
                        example: '30.50'
                        type: string
                      change_total_currency:
                        description: >
                          The currency of the `change_total_amount`, as an [ISO
                          4217](https://en.wikipedia.org/wiki/ISO_4217) currency
                          code.

                          It will match your organisation's billing currency
                          unless you’re using Duffel as an accredited IATA
                          agent, in which case it will be in the currency
                          provided by the airline (which will usually be based
                          on the country where your IATA agency is registered).
                        example: GBP
                        format: ISO 4217
                        type: string
                      confirmed_at:
                        description: >-
                          The [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                          datetime that indicates when the order change was
                          confirmed
                        example: '2020-01-17T11:51:43.114803Z'
                        format: date-time
                        type:
                          - string
                          - 'null'
                      created_at:
                        description: >-
                          The [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                          datetime at which the order change was created
                        example: '2020-04-11T15:48:11.642Z'
                        format: date-time
                        type: string
                      expires_at:
                        description: >-
                          The [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
                          datetime by which this change must be confirmed
                        example: '2020-01-17T10:42:14.545052Z'
                        format: date-time
                        type: string
                      id:
                        description: Duffel's unique identifier for the resource
                        example: ocr_0000A3tQSmKyqOrcySrGbo
                        type: string
                      live_mode:
                        description: >-
                          Whether the order change was created in live mode.
                          This field will be set to `true` if the order change
                          was created in live mode, or `false` if it was created
                          in test mode.
                        example: false
                        type: boolean
                      new_total_amount:
                        description: >-
                          The total price of the order for all the flights and
                          services booked, including taxes, once the change is
                          confirmed.
                        example: '121.30'
                        type: string
                      new_total_currency:
                        description: >
                          The currency of the `new_total_amount`, as an [ISO
                          4217](https://en.wikipedia.org/wiki/ISO_4217) currency
                          code.

                          It will match your organisation's billing currency
                          unless you’re using Duffel as an accredited IATA
                          agent, in which case it will be in the currency
                          provided by the airline (which will usually be based
                          on the country where your IATA agency is registered).
                        example: GBP
                        format: ISO 4217
                        type: string
                      order_id:
                        description: >-
                          Duffel's unique identifier for the order which is
                          being changed
                        example: ord_0000A3tQcCRZ9R8OY0QlxA
                        type: string
                      penalty_total_amount:
                        description: >-
                          The amount charged by the airline for making this
                          change.
                        example: '15.50'
                        type: string
                      penalty_total_currency:
                        description: >
                          The currency of the `penalty_total_amount`, as an [ISO
                          4217](https://en.wikipedia.org/wiki/ISO_4217) currency
                          code.

                          It will match your organisation's billing currency
                          unless you’re using Duffel as an accredited IATA
                          agent, in which case it will be in the currency
                          provided by the airline (which will usually be based
                          on the country where your IATA agency is registered).
                        example: GBP
                        format: ISO 4217
                        type: string
                      refund_to:
                        description: >
                          Where the refund, once confirmed, will be sent.
                          Refunds are indicated by a negative
                          `change_total_amount`. If the change does not require
                          a refund, this field will be `null`.

                          `original_form_of_payment` refers to the form of
                          payment used to create the order.
                        enum:
                          - voucher
                          - original_form_of_payment
                        example: voucher
                        type:
                          - string
                          - 'null'
                      slices:
                        additionalProperties: false
                        description: >-
                          The slices within an order change that are being added
                          to and/or removed from the order
                        properties:
                          add:
                            description: The slices that will be added to the order
                            items:
                              additionalProperties: false
                              description: A slice that is being removed or added
                              properties:
                                destination:
                                  additionalProperties: false
                                  properties:
                                    airports:
                                      description: >-
                                        The airports associated to a city. This
                                        will only be provided where the `type`
                                        is `city`.
                                      items:
                                        properties:
                                          city:
                                            description: >-
                                              The metropolitan area where the airport
                                              is located. Only present for airports
                                              which are registered with IATA as
                                              belonging to a [metropolitan
                                              area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                            properties:
                                              airports:
                                                description: >-
                                                  List of airports associated with the
                                                  city
                                                items:
                                                  properties:
                                                    iata_code:
                                                      description: >-
                                                        The three-character IATA code for the
                                                        airport
                                                      example: LHR
                                                      type: string
                                                    iata_country_code:
                                                      description: >-
                                                        The [ISO 3166-1
                                                        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                        code for the country where the airport
                                                        is located
                                                      example: GB
                                                      format: ISO 3166-1 alpha-2
                                                      type: string
                                                    icao_code:
                                                      description: >-
                                                        The four-character ICAO code for the
                                                        airport
                                                      example: EGLL
                                                      type:
                                                        - string
                                                        - 'null'
                                                    id:
                                                      description: >-
                                                        Duffel's unique identifier for the
                                                        resource
                                                      example: arp_lhr_gb
                                                      type: string
                                                    latitude:
                                                      description: >-
                                                        The latitude position of the airport
                                                        represented in [Decimal
                                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                        with 6 decimal points with a range
                                                        between -90° and 90°
                                                      example: 64.068865
                                                      format: float
                                                      type: number
                                                    longitude:
                                                      description: >-
                                                        The longitude position of the airport
                                                        represented in [Decimal
                                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                        with 6 decimal points with a range
                                                        between -180° and 180°
                                                      example: -141.951519
                                                      format: float
                                                      type: number
                                                    name:
                                                      description: The name of the airport
                                                      example: Heathrow
                                                      type: string
                                                    time_zone:
                                                      description: >-
                                                        The time zone of the airport, specified
                                                        by name from the [tz
                                                        database](https://en.wikipedia.org/wiki/Tz_database)
                                                      example: Europe/London
                                                      type: string
                                                  type: object
                                                type: array
                                              iata_code:
                                                description: >-
                                                  The three-character IATA code for the
                                                  city
                                                example: LON
                                                type: string
                                              iata_country_code:
                                                description: >-
                                                  The [ISO 3166-1
                                                  alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                  code for the country where the city is
                                                  located
                                                example: GB
                                                format: ISO 3166-1 alpha-2
                                                type: string
                                              id:
                                                description: >-
                                                  Duffel's unique identifier for the
                                                  resource
                                                example: cit_lon_gb
                                                type: string
                                              name:
                                                description: The name of the city
                                                example: London
                                                type: string
                                            title: City
                                            type:
                                              - object
                                              - 'null'
                                          city_name:
                                            description: >-
                                              The name of the city (or cities
                                              separated by a `/`) where the airport is
                                              located
                                            example: London
                                            type: string
                                          iata_city_code:
                                            description: >-
                                              The three-character IATA code for the
                                              city where the airport is located
                                            example: LON
                                            type: string
                                          iata_code:
                                            description: >-
                                              The three-character IATA code for the
                                              airport
                                            example: LHR
                                            type: string
                                          iata_country_code:
                                            description: >-
                                              The [ISO 3166-1
                                              alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                              code for the country where the airport
                                              is located
                                            example: GB
                                            format: ISO 3166-1 alpha-2
                                            type: string
                                          icao_code:
                                            description: >-
                                              The four-character ICAO code for the
                                              airport
                                            example: EGLL
                                            type:
                                              - string
                                              - 'null'
                                          id:
                                            description: >-
                                              Duffel's unique identifier for the
                                              resource
                                            example: arp_lhr_gb
                                            type: string
                                          latitude:
                                            description: >-
                                              The latitude position of the airport
                                              represented in [Decimal
                                              degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                              with 6 decimal points with a range
                                              between -90° and 90°
                                            example: 64.068865
                                            format: float
                                            type: number
                                          longitude:
                                            description: >-
                                              The longitude position of the airport
                                              represented in [Decimal
                                              degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                              with 6 decimal points with a range
                                              between -180° and 180°
                                            example: -141.951519
                                            format: float
                                            type: number
                                          name:
                                            description: The name of the airport
                                            example: Heathrow
                                            type: string
                                          time_zone:
                                            description: >-
                                              The time zone of the airport, specified
                                              by name from the [tz
                                              database](https://en.wikipedia.org/wiki/Tz_database)
                                            example: Europe/London
                                            type: string
                                        required:
                                          - iata_code
                                          - id
                                          - name
                                          - iata_country_code
                                          - latitude
                                          - longitude
                                          - icao_code
                                          - time_zone
                                          - city_name
                                          - iata_city_code
                                        title: Airport
                                        type: object
                                      type:
                                        - array
                                        - 'null'
                                    city:
                                      description: >-
                                        The metropolitan area where the airport
                                        is located. Only present for airports
                                        which are registered with IATA as
                                        belonging to a [metropolitan
                                        area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                      properties:
                                        airports:
                                          description: >-
                                            List of airports associated with the
                                            city
                                          items:
                                            properties:
                                              iata_code:
                                                description: >-
                                                  The three-character IATA code for the
                                                  airport
                                                example: LHR
                                                type: string
                                              iata_country_code:
                                                description: >-
                                                  The [ISO 3166-1
                                                  alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                  code for the country where the airport
                                                  is located
                                                example: GB
                                                format: ISO 3166-1 alpha-2
                                                type: string
                                              icao_code:
                                                description: >-
                                                  The four-character ICAO code for the
                                                  airport
                                                example: EGLL
                                                type:
                                                  - string
                                                  - 'null'
                                              id:
                                                description: >-
                                                  Duffel's unique identifier for the
                                                  resource
                                                example: arp_lhr_gb
                                                type: string
                                              latitude:
                                                description: >-
                                                  The latitude position of the airport
                                                  represented in [Decimal
                                                  degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                  with 6 decimal points with a range
                                                  between -90° and 90°
                                                example: 64.068865
                                                format: float
                                                type: number
                                              longitude:
                                                description: >-
                                                  The longitude position of the airport
                                                  represented in [Decimal
                                                  degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                  with 6 decimal points with a range
                                                  between -180° and 180°
                                                example: -141.951519
                                                format: float
                                                type: number
                                              name:
                                                description: The name of the airport
                                                example: Heathrow
                                                type: string
                                              time_zone:
                                                description: >-
                                                  The time zone of the airport, specified
                                                  by name from the [tz
                                                  database](https://en.wikipedia.org/wiki/Tz_database)
                                                example: Europe/London
                                                type: string
                                            type: object
                                          type: array
                                        iata_code:
                                          description: >-
                                            The three-character IATA code for the
                                            city
                                          example: LON
                                          type: string
                                        iata_country_code:
                                          description: >-
                                            The [ISO 3166-1
                                            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                            code for the country where the city is
                                            located
                                          example: GB
                                          format: ISO 3166-1 alpha-2
                                          type: string
                                        id:
                                          description: >-
                                            Duffel's unique identifier for the
                                            resource
                                          example: cit_lon_gb
                                          type: string
                                        name:
                                          description: The name of the city
                                          example: London
                                          type: string
                                      title: City
                                      type:
                                        - object
                                        - 'null'
                                    city_name:
                                      description: >-
                                        The name of the city (or cities
                                        separated by a `/`) where the airport is
                                        located
                                      example: London
                                      type:
                                        - string
                                        - 'null'
                                    iata_city_code:
                                      description: >-
                                        The 3-letter IATA code for the city
                                        where the place is located. Only present
                                        for airports which are registered with
                                        IATA as belonging to a [metropolitan
                                        area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                      example: LON
                                      type:
                                        - string
                                        - 'null'
                                    iata_code:
                                      description: The 3-letter IATA code for the place
                                      example: LHR
                                      type: string
                                    iata_country_code:
                                      description: >-
                                        The [ISO 3166-1
                                        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                        code for the country where the city is
                                        located
                                      example: GB
                                      format: ISO 3166-1 alpha-2
                                      type: string
                                    icao_code:
                                      description: >-
                                        The four-character ICAO code for the
                                        airport
                                      example: EGLL
                                      type:
                                        - string
                                        - 'null'
                                    id:
                                      description: >-
                                        Duffel's unique identifier for the
                                        resource
                                      example: arp_lhr_gb
                                      type: string
                                    latitude:
                                      description: >-
                                        The latitude position of the airport
                                        represented in [Decimal
                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                        with 6 decimal points with a range
                                        between -90° and 90°
                                      example: 64.068865
                                      format: float
                                      type:
                                        - number
                                        - 'null'
                                    longitude:
                                      description: >-
                                        The longitude position of the airport
                                        represented in [Decimal
                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                        with 6 decimal points with a range
                                        between -180° and 180°
                                      example: -141.951519
                                      format: float
                                      type:
                                        - number
                                        - 'null'
                                    name:
                                      description: The name of the place
                                      example: Heathrow
                                      type: string
                                    time_zone:
                                      description: >-
                                        The time zone of the airport, specified
                                        by name from the [tz
                                        database](https://en.wikipedia.org/wiki/Tz_database)
                                      example: Europe/London
                                      type:
                                        - string
                                        - 'null'
                                    type:
                                      description: The type of the place
                                      enum:
                                        - airport
                                        - city
                                      example: airport
                                      type: string
                                  required:
                                    - iata_city_code
                                    - iata_code
                                    - id
                                    - name
                                    - type
                                    - iata_country_code
                                    - latitude
                                    - longitude
                                    - icao_code
                                    - time_zone
                                    - city_name
                                  title: Place
                                  type: object
                                destination_type:
                                  description: The type of the destination
                                  enum:
                                    - airport
                                    - city
                                  example: airport
                                  type: string
                                duration:
                                  description: >-
                                    The duration of the slice, represented as a
                                    [ISO
                                    8601](https://en.wikipedia.org/wiki/ISO_8601#Durations)
                                    duration
                                  example: PT02H26M
                                  type:
                                    - string
                                    - 'null'
                                fare_brand_name:
                                  description: >
                                    The name of the fare brand associated with
                                    this slice. A fare brand

                                    specifies the travel conditions you get on
                                    your slice made available by

                                    the airline. e.g. a British Airways Economy
                                    Basic fare will only include

                                    a hand baggage allowance. It is worth noting
                                    that the fare brand names

                                    are defined by the airlines themselves and
                                    therefore they are subject to

                                    change without any prior notice.
                                  example: Basic
                                  type:
                                    - string
                                    - 'null'
                                id:
                                  description: Duffel's unique identifier for the resource
                                  example: xxx_00009hthhsUZ8W4LxQgkjo
                                  type: string
                                origin:
                                  additionalProperties: false
                                  properties:
                                    airports:
                                      description: >-
                                        The airports associated to a city. This
                                        will only be provided where the `type`
                                        is `city`.
                                      items:
                                        properties:
                                          city:
                                            description: >-
                                              The metropolitan area where the airport
                                              is located. Only present for airports
                                              which are registered with IATA as
                                              belonging to a [metropolitan
                                              area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                            properties:
                                              airports:
                                                description: >-
                                                  List of airports associated with the
                                                  city
                                                items:
                                                  properties:
                                                    iata_code:
                                                      description: >-
                                                        The three-character IATA code for the
                                                        airport
                                                      example: LHR
                                                      type: string
                                                    iata_country_code:
                                                      description: >-
                                                        The [ISO 3166-1
                                                        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                        code for the country where the airport
                                                        is located
                                                      example: GB
                                                      format: ISO 3166-1 alpha-2
                                                      type: string
                                                    icao_code:
                                                      description: >-
                                                        The four-character ICAO code for the
                                                        airport
                                                      example: EGLL
                                                      type:
                                                        - string
                                                        - 'null'
                                                    id:
                                                      description: >-
                                                        Duffel's unique identifier for the
                                                        resource
                                                      example: arp_lhr_gb
                                                      type: string
                                                    latitude:
                                                      description: >-
                                                        The latitude position of the airport
                                                        represented in [Decimal
                                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                        with 6 decimal points with a range
                                                        between -90° and 90°
                                                      example: 64.068865
                                                      format: float
                                                      type: number
                                                    longitude:
                                                      description: >-
                                                        The longitude position of the airport
                                                        represented in [Decimal
                                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                        with 6 decimal points with a range
                                                        between -180° and 180°
                                                      example: -141.951519
                                                      format: float
                                                      type: number
                                                    name:
                                                      description: The name of the airport
                                                      example: Heathrow
                                                      type: string
                                                    time_zone:
                                                      description: >-
                                                        The time zone of the airport, specified
                                                        by name from the [tz
                                                        database](https://en.wikipedia.org/wiki/Tz_database)
                                                      example: Europe/London
                                                      type: string
                                                  type: object
                                                type: array
                                              iata_code:
                                                description: >-
                                                  The three-character IATA code for the
                                                  city
                                                example: LON
                                                type: string
                                              iata_country_code:
                                                description: >-
                                                  The [ISO 3166-1
                                                  alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                  code for the country where the city is
                                                  located
                                                example: GB
                                                format: ISO 3166-1 alpha-2
                                                type: string
                                              id:
                                                description: >-
                                                  Duffel's unique identifier for the
                                                  resource
                                                example: cit_lon_gb
                                                type: string
                                              name:
                                                description: The name of the city
                                                example: London
                                                type: string
                                            title: City
                                            type:
                                              - object
                                              - 'null'
                                          city_name:
                                            description: >-
                                              The name of the city (or cities
                                              separated by a `/`) where the airport is
                                              located
                                            example: London
                                            type: string
                                          iata_city_code:
                                            description: >-
                                              The three-character IATA code for the
                                              city where the airport is located
                                            example: LON
                                            type: string
                                          iata_code:
                                            description: >-
                                              The three-character IATA code for the
                                              airport
                                            example: LHR
                                            type: string
                                          iata_country_code:
                                            description: >-
                                              The [ISO 3166-1
                                              alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                              code for the country where the airport
                                              is located
                                            example: GB
                                            format: ISO 3166-1 alpha-2
                                            type: string
                                          icao_code:
                                            description: >-
                                              The four-character ICAO code for the
                                              airport
                                            example: EGLL
                                            type:
                                              - string
                                              - 'null'
                                          id:
                                            description: >-
                                              Duffel's unique identifier for the
                                              resource
                                            example: arp_lhr_gb
                                            type: string
                                          latitude:
                                            description: >-
                                              The latitude position of the airport
                                              represented in [Decimal
                                              degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                              with 6 decimal points with a range
                                              between -90° and 90°
                                            example: 64.068865
                                            format: float
                                            type: number
                                          longitude:
                                            description: >-
                                              The longitude position of the airport
                                              represented in [Decimal
                                              degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                              with 6 decimal points with a range
                                              between -180° and 180°
                                            example: -141.951519
                                            format: float
                                            type: number
                                          name:
                                            description: The name of the airport
                                            example: Heathrow
                                            type: string
                                          time_zone:
                                            description: >-
                                              The time zone of the airport, specified
                                              by name from the [tz
                                              database](https://en.wikipedia.org/wiki/Tz_database)
                                            example: Europe/London
                                            type: string
                                        required:
                                          - iata_code
                                          - id
                                          - name
                                          - iata_country_code
                                          - latitude
                                          - longitude
                                          - icao_code
                                          - time_zone
                                          - city_name
                                          - iata_city_code
                                        title: Airport
                                        type: object
                                      type:
                                        - array
                                        - 'null'
                                    city:
                                      description: >-
                                        The metropolitan area where the airport
                                        is located. Only present for airports
                                        which are registered with IATA as
                                        belonging to a [metropolitan
                                        area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                      properties:
                                        airports:
                                          description: >-
                                            List of airports associated with the
                                            city
                                          items:
                                            properties:
                                              iata_code:
                                                description: >-
                                                  The three-character IATA code for the
                                                  airport
                                                example: LHR
                                                type: string
                                              iata_country_code:
                                                description: >-
                                                  The [ISO 3166-1
                                                  alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                  code for the country where the airport
                                                  is located
                                                example: GB
                                                format: ISO 3166-1 alpha-2
                                                type: string
                                              icao_code:
                                                description: >-
                                                  The four-character ICAO code for the
                                                  airport
                                                example: EGLL
                                                type:
                                                  - string
                                                  - 'null'
                                              id:
                                                description: >-
                                                  Duffel's unique identifier for the
                                                  resource
                                                example: arp_lhr_gb
                                                type: string
                                              latitude:
                                                description: >-
                                                  The latitude position of the airport
                                                  represented in [Decimal
                                                  degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                  with 6 decimal points with a range
                                                  between -90° and 90°
                                                example: 64.068865
                                                format: float
                                                type: number
                                              longitude:
                                                description: >-
                                                  The longitude position of the airport
                                                  represented in [Decimal
                                                  degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                  with 6 decimal points with a range
                                                  between -180° and 180°
                                                example: -141.951519
                                                format: float
                                                type: number
                                              name:
                                                description: The name of the airport
                                                example: Heathrow
                                                type: string
                                              time_zone:
                                                description: >-
                                                  The time zone of the airport, specified
                                                  by name from the [tz
                                                  database](https://en.wikipedia.org/wiki/Tz_database)
                                                example: Europe/London
                                                type: string
                                            type: object
                                          type: array
                                        iata_code:
                                          description: >-
                                            The three-character IATA code for the
                                            city
                                          example: LON
                                          type: string
                                        iata_country_code:
                                          description: >-
                                            The [ISO 3166-1
                                            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                            code for the country where the city is
                                            located
                                          example: GB
                                          format: ISO 3166-1 alpha-2
                                          type: string
                                        id:
                                          description: >-
                                            Duffel's unique identifier for the
                                            resource
                                          example: cit_lon_gb
                                          type: string
                                        name:
                                          description: The name of the city
                                          example: London
                                          type: string
                                      title: City
                                      type:
                                        - object
                                        - 'null'
                                    city_name:
                                      description: >-
                                        The name of the city (or cities
                                        separated by a `/`) where the airport is
                                        located
                                      example: London
                                      type:
                                        - string
                                        - 'null'
                                    iata_city_code:
                                      description: >-
                                        The 3-letter IATA code for the city
                                        where the place is located. Only present
                                        for airports which are registered with
                                        IATA as belonging to a [metropolitan
                                        area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                      example: LON
                                      type:
                                        - string
                                        - 'null'
                                    iata_code:
                                      description: The 3-letter IATA code for the place
                                      example: LHR
                                      type: string
                                    iata_country_code:
                                      description: >-
                                        The [ISO 3166-1
                                        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                        code for the country where the city is
                                        located
                                      example: GB
                                      format: ISO 3166-1 alpha-2
                                      type: string
                                    icao_code:
                                      description: >-
                                        The four-character ICAO code for the
                                        airport
                                      example: EGLL
                                      type:
                                        - string
                                        - 'null'
                                    id:
                                      description: >-
                                        Duffel's unique identifier for the
                                        resource
                                      example: arp_lhr_gb
                                      type: string
                                    latitude:
                                      description: >-
                                        The latitude position of the airport
                                        represented in [Decimal
                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                        with 6 decimal points with a range
                                        between -90° and 90°
                                      example: 64.068865
                                      format: float
                                      type:
                                        - number
                                        - 'null'
                                    longitude:
                                      description: >-
                                        The longitude position of the airport
                                        represented in [Decimal
                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                        with 6 decimal points with a range
                                        between -180° and 180°
                                      example: -141.951519
                                      format: float
                                      type:
                                        - number
                                        - 'null'
                                    name:
                                      description: The name of the place
                                      example: Heathrow
                                      type: string
                                    time_zone:
                                      description: >-
                                        The time zone of the airport, specified
                                        by name from the [tz
                                        database](https://en.wikipedia.org/wiki/Tz_database)
                                      example: Europe/London
                                      type:
                                        - string
                                        - 'null'
                                    type:
                                      description: The type of the place
                                      enum:
                                        - airport
                                        - city
                                      example: airport
                                      type: string
                                  required:
                                    - iata_city_code
                                    - iata_code
                                    - id
                                    - name
                                    - type
                                    - iata_country_code
                                    - latitude
                                    - longitude
                                    - icao_code
                                    - time_zone
                                    - city_name
                                  title: Place
                                  type: object
                                origin_type:
                                  description: The type of the origin
                                  enum:
                                    - airport
                                    - city
                                  example: airport
                                  type: string
                                segments:
                                  description: >-
                                    The segments - that is, specific flights -
                                    that the airline is offering to get the
                                    passengers from the `origin` to the
                                    `destination`
                                  items:
                                    additionalProperties: false
                                    properties:
                                      aircraft:
                                        allOf:
                                          - additionalProperties: false
                                            properties:
                                              iata_code:
                                                description: >-
                                                  The three-character IATA code for the
                                                  aircraft
                                                example: '380'
                                                type: string
                                              id:
                                                description: >-
                                                  Duffel's unique identifier for the
                                                  resource
                                                example: arc_00009UhD4ongolulWd91Ky
                                                type: string
                                              name:
                                                description: The name of the aircraft
                                                example: Airbus Industries A380
                                                type: string
                                            required:
                                              - iata_code
                                              - id
                                              - name
                                            title: Aircraft
                                            type: object
                                          - description: >-
                                              The aircraft that the operating carrier
                                              will use to operate this segment
                                      arriving_at:
                                        description: >-
                                          The [ISO
                                          8601](https://en.wikipedia.org/wiki/ISO_8601)
                                          datetime at which the segment is
                                          scheduled to arrive, in the destination
                                          airport timezone (see
                                          `destination.timezone`)
                                        example: '2020-06-13T16:38:02'
                                        format: local-date-time
                                        type: string
                                      departing_at:
                                        description: >-
                                          The [ISO
                                          8601](https://en.wikipedia.org/wiki/ISO_8601)
                                          datetime at which the segment is
                                          scheduled to depart, in the origin
                                          airport timezone (see `origin.timezone`)
                                        example: '2020-06-13T16:38:02'
                                        format: local-date-time
                                        type: string
                                      destination:
                                        allOf:
                                          - properties:
                                              city:
                                                description: >-
                                                  The metropolitan area where the airport
                                                  is located. Only present for airports
                                                  which are registered with IATA as
                                                  belonging to a [metropolitan
                                                  area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                                properties:
                                                  iata_code:
                                                    description: >-
                                                      The three-character IATA code for the
                                                      city
                                                    example: NYC
                                                    type: string
                                                  iata_country_code:
                                                    description: >-
                                                      The [ISO 3166-1
                                                      alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                      code for the country where the city is
                                                      located
                                                    example: US
                                                    format: ISO 3166-1 alpha-2
                                                    type: string
                                                  id:
                                                    description: >-
                                                      Duffel's unique identifier for the
                                                      resource
                                                    example: cit_nyc_us
                                                    type: string
                                                  name:
                                                    description: The name of the city
                                                    example: New York
                                                    type: string
                                                title: City
                                                type:
                                                  - object
                                                  - 'null'
                                              city_name:
                                                description: >-
                                                  The name of the city (or cities
                                                  separated by a `/`) where the airport is
                                                  located
                                                example: New York
                                                type: string
                                              iata_city_code:
                                                description: >-
                                                  The three-character IATA code for the
                                                  city where the airport is located
                                                example: NYC
                                                type: string
                                              iata_code:
                                                description: >-
                                                  The three-character IATA code for the
                                                  airport
                                                example: JFK
                                                type:
                                                  - string
                                                  - 'null'
                                              iata_country_code:
                                                description: >-
                                                  The [ISO 3166-1
                                                  alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                  code for the country where the airport
                                                  is located
                                                example: US
                                                format: ISO 3166-1 alpha-2
                                                type: string
                                              icao_code:
                                                description: >-
                                                  The four-character ICAO code for the
                                                  airport
                                                example: KJFK
                                                type:
                                                  - string
                                                  - 'null'
                                              id:
                                                description: >-
                                                  Duffel's unique identifier for the
                                                  resource
                                                example: arp_jfk_us
                                                type: string
                                              latitude:
                                                description: >-
                                                  The latitude position of the airport
                                                  represented in [Decimal
                                                  degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                  with 6 decimal points with a range
                                                  between -90° and 90°
                                                example: 40.640556
                                                format: float
                                                type: number
                                              longitude:
                                                description: >-
                                                  The longitude position of the airport
                                                  represented in [Decimal
                                                  degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                  with 6 decimal points with a range
                                                  between -180° and 180°
                                                example: -73.778519
                                                format: float
                                                type: number
                                              name:
                                                description: The name of the airport
                                                example: John F. Kennedy International Airport
                                                type: string
                                              time_zone:
                                                description: >-
                                                  The time zone of the airport, specified
                                                  by name from the [tz
                                                  database](https://en.wikipedia.org/wiki/Tz_database)
                                                example: America/New_York
                                                type: string
                                            required:
                                              - iata_code
                                              - id
                                              - name
                                              - iata_country_code
                                              - latitude
                                              - longitude
                                              - icao_code
                                              - time_zone
                                              - city_name
                                              - city
                                              - iata_city_code
                                            title: Airport
                                            type: object
                                          - description: >-
                                              The airport at which the segment is
                                              scheduled to arrive
                                      destination_terminal:
                                        description: >-
                                          The terminal at the `destination`
                                          airport where the segment is scheduled
                                          to arrive
                                        example: '5'
                                        type:
                                          - string
                                          - 'null'
                                      distance:
                                        description: >-
                                          The distance of the segment in
                                          kilometres
                                        example: '424.2'
                                        type:
                                          - string
                                          - 'null'
                                      duration:
                                        description: >-
                                          The duration of the segment, represented
                                          as a [ISO
                                          8601](https://en.wikipedia.org/wiki/ISO_8601#Durations)
                                          duration
                                        example: PT02H26M
                                        type:
                                          - string
                                          - 'null'
                                      id:
                                        description: >-
                                          Duffel's unique identifier for the
                                          resource
                                        example: xxx_00009hthhsUZ8W4LxQgkjo
                                        type: string
                                      marketing_carrier:
                                        additionalProperties: false
                                        properties:
                                          conditions_of_carriage_url:
                                            description: >-
                                              URL to the airline's conditions of
                                              carriage.
                                            example: >-
                                              https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage
                                            type:
                                              - string
                                              - 'null'
                                          iata_code:
                                            description: >-
                                              The two-character IATA code for the
                                              airline. This may be `null` for non-IATA
                                              carriers.
                                            example: BA
                                            type:
                                              - string
                                              - 'null'
                                          id:
                                            description: >-
                                              Duffel's unique identifier for the
                                              airline
                                            example: arl_00001876aqC8c5umZmrRds
                                            type: string
                                          logo_lockup_url:
                                            description: >-
                                              Path to a svg of the airline lockup
                                              logo.

                                              A lockup logo is also called a
                                              combination logo, in which it combines
                                              the logotype and logomark.

                                              This may be `null` if no logo is
                                              available.
                                            example: >-
                                              https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg
                                            type:
                                              - string
                                              - 'null'
                                          logo_symbol_url:
                                            description: >-
                                              Path to a svg of the airline logo.

                                              This may be `null` if no logo is
                                              available.
                                            example: >-
                                              https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg
                                            type:
                                              - string
                                              - 'null'
                                          name:
                                            description: The name of the airline
                                            example: British Airways
                                            type: string
                                        title: Airline
                                        type: object
                                      marketing_carrier_flight_number:
                                        description: >-
                                          The flight number assigned by the
                                          marketing carrier
                                        example: '1234'
                                        type: string
                                      operating_carrier:
                                        additionalProperties: false
                                        properties:
                                          conditions_of_carriage_url:
                                            description: >-
                                              URL to the airline's conditions of
                                              carriage.
                                            example: >-
                                              https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage
                                            type:
                                              - string
                                              - 'null'
                                          iata_code:
                                            description: >-
                                              The two-character IATA code for the
                                              airline. This may be `null` for non-IATA
                                              carriers.
                                            example: BA
                                            type:
                                              - string
                                              - 'null'
                                          id:
                                            description: >-
                                              Duffel's unique identifier for the
                                              airline
                                            example: arl_00001876aqC8c5umZmrRds
                                            type: string
                                          logo_lockup_url:
                                            description: >-
                                              Path to a svg of the airline lockup
                                              logo.

                                              A lockup logo is also called a
                                              combination logo, in which it combines
                                              the logotype and logomark.

                                              This may be `null` if no logo is
                                              available.
                                            example: >-
                                              https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg
                                            type:
                                              - string
                                              - 'null'
                                          logo_symbol_url:
                                            description: >-
                                              Path to a svg of the airline logo.

                                              This may be `null` if no logo is
                                              available.
                                            example: >-
                                              https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg
                                            type:
                                              - string
                                              - 'null'
                                          name:
                                            description: The name of the airline
                                            example: British Airways
                                            type: string
                                        title: Airline
                                        type: object
                                      operating_carrier_flight_number:
                                        description: >-
                                          The flight number assigned by the
                                          operating carrier. This may not be
                                          present, in which case you should
                                          display the `marketing_carrier`'s
                                          information and the
                                          `marketing_carrier_flight_number`, and
                                          simply state the name of the
                                          `operating_carrier`.
                                        example: '4321'
                                        type:
                                          - string
                                          - 'null'
                                      origin:
                                        properties:
                                          city:
                                            description: >-
                                              The metropolitan area where the airport
                                              is located. Only present for airports
                                              which are registered with IATA as
                                              belonging to a [metropolitan
                                              area](https://portal.iata.org/faq/articles/en_US/FAQ/How-do-I-create-a-new-Metropolitan-Area).
                                            properties:
                                              airports:
                                                description: >-
                                                  List of airports associated with the
                                                  city
                                                items:
                                                  properties:
                                                    iata_code:
                                                      description: >-
                                                        The three-character IATA code for the
                                                        airport
                                                      example: LHR
                                                      type: string
                                                    iata_country_code:
                                                      description: >-
                                                        The [ISO 3166-1
                                                        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                        code for the country where the airport
                                                        is located
                                                      example: GB
                                                      format: ISO 3166-1 alpha-2
                                                      type: string
                                                    icao_code:
                                                      description: >-
                                                        The four-character ICAO code for the
                                                        airport
                                                      example: EGLL
                                                      type:
                                                        - string
                                                        - 'null'
                                                    id:
                                                      description: >-
                                                        Duffel's unique identifier for the
                                                        resource
                                                      example: arp_lhr_gb
                                                      type: string
                                                    latitude:
                                                      description: >-
                                                        The latitude position of the airport
                                                        represented in [Decimal
                                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                        with 6 decimal points with a range
                                                        between -90° and 90°
                                                      example: 64.068865
                                                      format: float
                                                      type: number
                                                    longitude:
                                                      description: >-
                                                        The longitude position of the airport
                                                        represented in [Decimal
                                                        degrees](https://en.wikipedia.org/wiki/Decimal_degrees)
                                                        with 6 decimal points with a range
                                                        between -180° and 180°
                                                      example: -141.951519
                                                      format: float
                                                      type: number
                                                    name:
                                                      description: The name of the airport
                                                      example: Heathrow
                                                      type: string
                                                    time_zone:
                                                      description: >-
                                                        The time zone of the airport, specified
                                                        by name from the [tz
                                                        database](https://en.wikipedia.org/wiki/Tz_database)
                                                      example: Europe/London
                                                      type: string
                                                  type: object
                                                type: array
                                              iata_code:
                                                description: >-
                                                  The three-character IATA code for the
                                                  city
                                                example: LON
                                                type: string
                                              iata_country_code:
                                                description: >-
                                                  The [ISO 3166-1
                                                  alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
                                                  code for the country where the city is
                                                  located
                                                example: GB
                                                format: ISO 3166-1 alpha-2
                                                type: string
                                              id:
                                                description: >-
                                                  Duffel's unique identifier for the
                                                  resource
                                                example: cit_lon_gb
                                                type: string
                                              name:
                                                description: The name of the city
                                                example: London
                                                type: string
                                            title: City
                                            type:
                                              - object
                                              - 'null'
                                          city_name:
                                            description: >-
                                              The name of the city (or cities
                                              separated by a `/`) where the airport is
                                              located
                                            example: London
                                            type: string
                                          iata_city_code:
                                            description: >-
                                              The three-character IATA code for the
                                              city where the airport is located
                                            example: LON
                                            type: string
                                          iata_code:
                                            description: >-
                                              The three-character IATA code for the
                                              airport
                                            example: LHR
[...]
